Netapi32Util.DomainController (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Netapi32Util, class: DomainController

Package com.sun.jna.platform.win32

# Class Netapi32Util.DomainController

java.lang.Object
com.sun.jna.platform.win32.Netapi32Util.DomainController

Enclosing class:
  Netapi32Util

public static class Netapi32Util.DomainController extends Object
A domain controller.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `address`
  Specifies the address of the discovered domain controller.
  `int`
  `addressType`
  Indicates the type of string that is contained in the DomainControllerAddress member.
  `String`
  `clientSiteName`
  The name of the site that the computer belongs to.
  `String`
  `dnsForestName`
  Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree.
  `Guid.GUID`
  `domainGuid`
  The GUID of the domain.
  `String`
  `domainName`
  Pointer to a null-terminated string that specifies the name of the domain.
  `int`
  `flags`
  Contains a set of flags that describe the domain controller.
  `String`
  `name`
  Specifies the computer name of the discovered domain controller.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainController()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Specifies the computer name of the discovered domain controller.

  - ### address

    public String address
    Specifies the address of the discovered domain controller.

  - ### addressType

    public int addressType
    Indicates the type of string that is contained in the DomainControllerAddress member.

  - ### domainGuid

    public Guid.GUID domainGuid
    The GUID of the domain.

  - ### domainName

    public String domainName
    Pointer to a null-terminated string that specifies the name of the domain.

  - ### dnsForestName

    public String dnsForestName
    Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree.

  - ### flags

    public int flags
    Contains a set of flags that describe the domain controller.

  - ### clientSiteName

    public String clientSiteName
    The name of the site that the computer belongs to.

- ## Constructor Details

  - ### DomainController

    public DomainController()